Mysql 5.5.x doesn't seem to be supported under Mac OS X
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Documentation Estimated time: 0.00 hour

Target version:

Resolution: Wont fix Affected version: 1.2.1

Description

It took me a while to figure that out but mysql 5.5.x is not supported.
| downgraded to mysql 5.1.59 and that worked ok.

Maybe Redminelnstall at least should mention this because | looked at the support forum and more people are running into this
issue.

| was running Redmine 1.2.1 mysql 5.5.x (64-bit) MacOS X 10.7.1
but this 5.5.59 worked.
Also redmine install notes should include how to install gem mysql on these platforms:

sudo env ARCHFLAGS="-arch x86_64" gem install mysgl --no-rdoc --no-ri -- —-with-mysgl-config=/usr/
local/mysqgl/bin/mysqgl_config

or for Postgresq|l
sudo env ARCHFLAGS="-arch x86_64" gem install pg

Replace x86_64 with i386 for 32-bit version of those databases installed.

History

#1 - 2011-09-30 08:58 - Etienne Massip

- Category changed from Database to Documentation

#2 - 2011-11-16 19:47 - Dave Carlton

FWIW, as | just finished installing redmine 1.2.2 onto a 10.7.2 server | notice from my bash history | simply used:
sudo gem install pg

Attached is a list of my bash history as related to getting redmine 1.2.2 running with 10.7.2 server. Maybe it might help some poor lost soul.

6 sudo gem install -v=0.4.2 il8n
7 sudo port deactivate gem

8 sudo port uninstall gem

9 sudo gem install -v=0.4.2 il8n

10 rm /opt/local/bin/gem

11 sudo rm /opt/local/bin/gem

12 sudo gem install -v=0.4.2 il8n
17 port install gem

24 port search gem

25 port install rb-rubygems

26 port -f activate rb-rubygems
27 port -f activate rb-rubygems @1.3.7_0+ruby
28 which gem

36 gem -V

37 gem -v

49 gem install rails

53 gem install rails -v=2.3.11

54 gem install rack -v=1.1.0

55 gem install fastthread

57 gem install passenger
59 gem install rake
465 gem install -v=0.4.2 il8n
476 gem install pg

#3 - 2013-05-06 22:58 - Jean-Baptiste Barth
- Status changed from New to Closed

- Resolution set to Wont fix

It seems mysql 5.5 is now installed by default on Mountain Lion (at least | don't remember having installed it ; but maybe | did it inadvertently with
brew), so I'll close this issue. Feel free to reopen if I'm wrong. Thanks.
